Bug 505078 - preupgrade does not handle "/" on an Logical volume with multi-boot system
preupgrade does not handle "/" on an Logical volume with multi-boot system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 11:35 EDT by Gene Czarcinski
Modified: 2014-01-21 18:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2009-06-10 11:35:55 EDT
Description of problem:

I have a new system with two 500GB SATA drives.  I first installed a "small" F10 system which I will use as a "boot" director for a multiboot system ... if I have a working system, I don't like to upgrade it because of the possibilty that I could end up with a screwed up system.  Therefore, I generally do fresh installed for new versions of Fedora and use the "boot director" to select which system I actually run.

The two SATA drives also have a new (for me) disk layout.  I have the "boot director" system on sda1, swap is on sda2, there are four "/boot" partitions on sda5, sda6, sdb5, and sdb6.  The remainder of the two disks are given to a single volume group.  In the volume group, I have four root stripped logical volumes defined: root1, root2, root3, and root as well as a common /home logical volume.

Because I was having problems installing F11 from DVD+network, I installed Fedora 10 on "/boot"=sda5 and "/"=root1.  It installed and booted up with no problems.  The F10 system was installed with updates so no additional updating was necessary.  I then ran "preupgrade" which seemed to do its job.

But, upon reboot to do the upgrade, the upgrade hung.  Switching to VT2 to look around, I see that none of the downloaded packages are showing up.  Looking a little further, I found that /dev/sda1 had been mounted rather than /dev/VG/root1.

Upon further investigation, I found that preupgrade had used the WRONG UUID in the grub entry for the upgrade ... it used the UUID for /dev/sda1 (a valid F10 system) rather than the UUID of /dev/VG/root1

I have not done it yet but I suspect that if I change the UUID in the grup entry so it points to the correct logical volume, everything should work.

Any additional data you need?
Comment 1 Bug Zapper 2009-11-18 07:05:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:33:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.